<?php

namespace MyHordes\Fixtures\Service;

use MyHordes\Fixtures\Interfaces\FixtureProcessorInterface;

class ItemGroupDataService implements FixtureProcessorInterface {

    public function process(array &$data): void
    {
        $data = array_merge_recursive($data, [
            'empty_dig' => array(
                array('item' => 'wood_bad_#00', 'count' => '41306'),
                array('item' => 'metal_bad_#00', 'count' => '22856'),
            ),
            'base_dig' => array(
                array('item' => 'wood2_#00', 'count' => '16764'),
                array('item' => 'metal_#00', 'count' => '10124'),
                array('item' => 'grenade_empty_#00', 'count' => '6915'),
                array('item' => 'food_bag_#00', 'count' => '4845'),
                array('item' => 'pile_#00', 'count' => '4766'),
                array('item' => 'pharma_#00', 'count' => '3935'),
                array('item' => 'rustine_#00', 'count' => '2578'),
                array('item' => 'can_#00', 'count' => '2445'),
                array('item' => 'concrete_#00', 'count' => '1689'),
                array('item' => 'wood_plate_part_#00', 'count' => '1529'),
                array('item' => 'jerrycan_#00', 'count' => '1456'),
                array('item' => 'chest_tools_#00', 'count' => '1390'),
                array('item' => 'deco_box_#00', 'count' => '1309'),
                array('item' => 'digger_#00', 'count' => '1231'),
                array('item' => 'tube_#00', 'count' => '1184'),
                array('item' => 'wood_beam_#00', 'count' => '1176'),
                array('item' => 'powder_#00', 'count' => '1159'),
                array('item' => 'staff_#00', 'count' => '1138'),
                array('item' => 'oilcan_#00', 'count' => '1100'),
                array('item' => 'mecanism_#00', 'count' => '1063'),
                array('item' => 'drug_#00', 'count' => '965'),
                array('item' => 'fest_#00', 'count' => '964'),
                array('item' => 'meca_parts_#00', 'count' => '964'),
                array('item' => 'plate_raw_#00', 'count' => '963'),
                array('item' => 'watergun_empty_#00', 'count' => '953'),
                array('item' => 'deto_#00', 'count' => '935'),
                array('item' => 'repair_one_#00', 'count' => '907'),
                array('item' => 'pet_snake_#00', 'count' => '877'),
                array('item' => 'pet_snake2_#00', 'count' => '877'),
                array('item' => 'electro_box_#00', 'count' => '854'),
                array('item' => 'door_#00', 'count' => '841'),
                array('item' => 'drug_random_#00', 'count' => '818'),
                array('item' => 'smoke_bomb_#00', 'count' => '814'),
                array('item' => 'bag_#00', 'count' => '808'),
                array('item' => 'water_cleaner_#00', 'count' => '803'),
                array('item' => 'bplan_drop_#00', 'count' => '800'),
                array('item' => 'tagger_#00', 'count' => '794'),
                array('item' => 'machine_3_#00', 'count' => '794'),
                array('item' => 'trestle_#00', 'count' => '790'),
                array('item' => 'pilegun_empty_#00', 'count' => '784'),
                array('item' => 'machine_1_#00', 'count' => '777'),
                array('item' => 'bretz_#00', 'count' => '775'),
                array('item' => 'explo_#00', 'count' => '771'),
                array('item' => 'food_noodles_#00', 'count' => '763'),
                array('item' => 'chest_#00', 'count' => '734'),
                array('item' => 'machine_2_#00', 'count' => '729'),
                array('item' => 'pet_rat_#00', 'count' => '710'),
                array('item' => 'wire_#00', 'count' => '691'),
                array('item' => 'drug_hero_#00', 'count' => '634'),
                array('item' => 'metal_beam_#00', 'count' => '592'),
                array('item' => 'ryebag_#00', 'count' => '541'),
                array('item' => 'spices_#00', 'count' => '508'),
                array('item' => 'small_knife_#00', 'count' => '501'),
                array('item' => 'bed_#00', 'count' => '501'),
                array('item' => 'rhum_#00', 'count' => '499'),
                array('item' => 'chain_#00', 'count' => '493'),
                array('item' => 'pet_chick_#00', 'count' => '491'),
                array('item' => 'cutter_#00', 'count' => '476'),
                array('item' => 'pet_pig_#00', 'count' => '474'),
                array('item' => 'meat_#00', 'count' => '474'),
                array('item' => 'can_opener_#00', 'count' => '469'),
                array('item' => 'lilboo_#00', 'count' => '458'),
                array('item' => 'electro_#00', 'count' => '427'),
                array('item' => 'chair_basic_#00', 'count' => '423'),
                array('item' => 'xanax_#00', 'count' => '418'),
                array('item' => 'diode_#00', 'count' => '416'),
                array('item' => 'tekel_#00', 'count' => '400'),
                array('item' => 'pet_cat_#00', 'count' => '396'),
                array('item' => 'lights_#00', 'count' => '381'),
                array('item' => 'sport_elec_empty_#00', 'count' => '376'),
                array('item' => 'lock_#00', 'count' => '369'),
                array('item' => 'lens_#00', 'count' => '366'),
                array('item' => 'chest_food_#00', 'count' => '364'),
                array('item' => 'chudol_#00', 'count' => '347'),
                array('item' => 'angryc_#00', 'count' => '342'),
                array('item' => 'home_box_#00', 'count' => '302'),
                array('item' => 'home_def_#00', 'count' => '294'),
                array('item' => 'fence_#00', 'count' => '293'),
                array('item' => 'repair_kit_part_raw_#00', 'count' => '293'),
                array('item' => 'rsc_pack_2_#00', 'count' => '290'),
                array('item' => 'lamp_#00', 'count' => '288'),
                array('item' => 'disinfect_#00', 'count' => '288'),
                array('item' => 'book_gen_letter_#00', 'count' => '286'),
                array('item' => 'bandage_#00', 'count' => '284'),
                array('item' => 'plate_#00', 'count' => '283'),
                array('item' => 'chest_citizen_#00', 'count' => '282'),
                array('item' => 'cart_part_#00', 'count' => '274'),
                array('item' => 'chair_#00', 'count' => '273'),
                array('item' => 'bquies_#00', 'count' => '257'),
                array('item' => 'screw_#00', 'count' => '240'),
                array('item' => 'badge_#00', 'count' => '238'),
                array('item' => 'pc_#00', 'count' => '215'),
                array('item' => 'music_part_#00', 'count' => '210'),
                array('item' => 'book_gen_box_#00', 'count' => '209'),
                array('item' => 'cyanure_#00', 'count' => '206'),
                array('item' => 'vodka_#00', 'count' => '200'),
                array('item' => 'hmeat_#00', 'count' => '195'),
                array('item' => 'knife_#00', 'count' => '194'),
                array('item' => 'engine_part_#00', 'count' => '193'),
                array('item' => 'game_box_#00', 'count' => '192'),
                array('item' => 'wood_log_#00', 'count' => '190'),
                array('item' => 'vibr_empty_#00', 'count' => '189'),
                array('item' => 'cigs_#00', 'count' => '181'),
                array('item' => 'out_def_#00', 'count' => '180'),
                array('item' => 'courroie_#00', 'count' => '179'),
                array('item' => 'catbox_#00', 'count' => '170'),
                array('item' => 'sheet_#00', 'count' => '115'),
                array('item' => 'iphone_#00', 'count' => '112'),
                array('item' => 'money_#00', 'count' => '110'),
                array('item' => 'home_box_xl_#00', 'count' => '109'),
                array('item' => 'coffee_machine_part_#00', 'count' => '103'),
                array('item' => 'cadaver_#00', 'count' => '102'),
                array('item' => 'smelly_meat_#00', 'count' => '102'),
                array('item' => 'maglite_off_#00', 'count' => '100'),
                array('item' => 'postal_box_#00', 'count' => '98'),
                array('item' => 'big_pgun_part_#00', 'count' => '95'),
                array('item' => 'car_door_part_#00', 'count' => '95'),
                array('item' => 'chama_#00', 'count' => '94'),
                array('item' => 'water_can_empty_#00', 'count' => '93'),
                array('item' => 'cdbrit_#00', 'count' => '92'),
                array('item' => 'pilegun_upkit_#00', 'count' => '90'),
                array('item' => 'saw_tool_part_#00', 'count' => '90'),
                array('item' => 'beta_drug_bad_#00', 'count' => '90'),
                array('item' => 'rp_book_#00', 'count' => '90'),
                array('item' => 'chest_xl_#00', 'count' => '90'),
                array('item' => 'poison_part_#00', 'count' => '90'),
                array('item' => 'gun_#00', 'count' => '90'),
                array('item' => 'rsc_pack_3_#00', 'count' => '89'),
                array('item' => 'safe_#00', 'count' => '88'),
                array('item' => 'rp_twin_#00', 'count' => '87'),
                array('item' => 'food_armag_#00', 'count' => '87'),
                array('item' => 'cdelvi_#00', 'count' => '82'),
                array('item' => 'cdphil_#00', 'count' => '67'),
                array('item' => 'cinema_#00', 'count' => '53'),

                //array('item' => 'vodka_de_#00', 'count' => '6'),
            ),
            'christmas_dig' => [
                array('item' => 'renne_#00', 'count' => '8'),
                array('item' => 'sand_ball_#00', 'count' => '14'),
                array('item' => 'christmas_suit_3_#00', 'count' => '4'),
                array('item' => 'christmas_suit_1_#00', 'count' => '3'),
                array('item' => 'christmas_suit_2_#00', 'count' => '1'),
                array('item' => 'food_xmas_#00', 'count' => '2'),
            ],
            'christmas_dig_post' => [
                array('item' => 'postal_box_#01', 'count' => '3'),
                array('item' => 'postal_box_xl_#00', 'count' => '1'),
            ],
            'easter_dig' => [
                array('item' => 'paques_#00', 'count' => '207'),
            ],
            'stpatrick_dig' => [
                array('item' => 'leprechaun_suit_#00', 'count' => '4'),
                array('item' => 'guiness_#00', 'count' => '25'),
                array('item' => 'hurling_stick_#00', 'count' => '25'),
            ],
            'stpatrick_dig_fair' => [
                array('item' => 'hurling_stick_#00', 'count' => '2'),
            ],
            'halloween_dig' => [
                array('item' => 'pumpkin_raw_#00', 'count' => '5'),
            ],
            'trash_good' => [
                array('item' => 'fence_#00', 'count' => '76'),
                array('item' => 'chest_#00', 'count' => '8'),
                array('item' => 'wood2_#00', 'count' => '22'),
                array('item' => 'metal_#00', 'count' => '5'),
                array('item' => 'repair_one_#00', 'count' => '7'),
                array('item' => 'home_def_#00', 'count' => '10'),
                array('item' => 'home_box_#00', 'count' => '7'),
                array('item' => 'chain_#00', 'count' => '5'),
            ],
            'trash_bad' => [
                array('item' => 'fruit_sub_part_#00', 'count' => '337'),
                array('item' => 'fruit_part_#00', 'count' => '87'),
                array('item' => 'pharma_part_#00', 'count' => '278'),
                array('item' => 'flesh_part_#00', 'count' => '502'),
                array('item' => 'water_cup_part_#00', 'count' => '28'),
            ],
        ]);
    }
}